import { FlowNodeModel, Instruction, JobModel, Processor } from '../..';
export default class extends Instruction {
    run(node: FlowNodeModel, prevJob: JobModel, processor: Processor): Promise<{
        status: 1;
        result: number;
    }>;
    resume(node: FlowNodeModel, branchJob: any, processor: Processor): Promise<any>;
    getScope(node: any, index: any, processor: any): {
        item: any;
        index: any;
        length: number;
    };
}
